LOCAL nValue:=0, nNewValue, nValue1, nValue2
* Prefix-increment operator
nValue := 0
nNewValue := ++nValue  // Change nValue 
                       // BEFORE assignment
? nValue               // 1
? nNewValue            // 1

* Postfix-decrement operator
nValue := 1
nNewValue := nValue--  // Change nValue 
                       // AFTER assignment
? nValue               // 0
? nNewValue            // 1

* Postfix-increment operator in an expression
* (Nantucket invented this word, rather than
* simply using "suffix.")

nValue := 10
? nValue++ * nValue     // 110: increment; use 10;
                        // multiply by 11
? nValue                // 11

* Prefix-decrement operator in an expression
nValue := 10
? --nValue * nValue     // 81: decrement, use 9;
                        // multiply by 9
? nValue                // 9

* Combined prefix and postfix operators
nValue := 10
? --nValue * nValue++   // 81: decrement, use 9;
                        // multiply by 9; increment
? nValue                // 10

* Combined prefix and postfix operators
nValue1 := 10
nValue2 := 10
? --nValue1 * nValue2++  // 90: decrement, use 9;
                        // multiply by 10; increment
? nValue1               // 9
? nValue2               // 11
